from django.db import models
from django.conf import settings
from django.contrib.auth.models import User

class ArrowCount(models.Model):
    user = models.ForeignKey(
        settings.AUTH_USER_MODEL,
        on_delete=models.CASCADE
    )
    date = models.DateField('Training date')
    count = models.PositiveIntegerField('Arrow count for the day')

    def __str__(self):
        return self.date.strftime("%x") + ": " + str(self.count)
