from django.urls import path
from django.contrib.auth.decorators import login_required
from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('count/list', views.arrow_count_list, name='count_list'),
    path('count/new', login_required(views.NewArrowCount.as_view()),
        name='count_new'),
    path('count/edit/<int:id>', login_required(views.EditArrowCount.as_view()),
        name='count_edit'),
    path('count/delete/<int:id>', login_required(views.DeleteArrowCount.as_view()),
        name='count_delete'),
    path('count/edit/<int:ac_id>/ajax', login_required(views \
        .arrow_count_update_ajax), name='count_edit_ajax'),
]
